//熔岩行者/水上行走
NativeEvents.onEvent($StandOnFluidEvent, event => {
    let player = event.getEntity()
    if (!player || !player.isPlayer()) return
    let boolean = false
    if (!player.isCrouching()) {
        if (getPlayerCuriosEffectData(player, 'lava_walker').level > 0 && event.getFluidState().fluidType == 'minecraft:lava') {
            boolean = true
        }
        if (getPlayerCuriosEffectData(player, 'water_walker').level > 0 && event.getFluidState().fluidType == 'minecraft:water') {
            boolean = true
        }
    }
    event.setCanceled(boolean)
})